Bug 852212 - SELinux is preventing /usr/sbin/plymouthd from 'getattr' accesses on the filesystem /var.
SELinux is preventing /usr/sbin/plymouthd from 'getattr' accesses on the file...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:cf30da3a6cedf0539662b74025d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 17:27 EDT by Joachim Frieben
Modified: 2012-09-17 19:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:34:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-08-27 17:27 EDT, Joachim Frieben
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-08-27 17:27 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2012-08-27 17:27:32 EDT
Additional info:
libreport version: 2.0.13
kernel:         3.6.0-0.rc3.git1.1.fc18.x86_64

description:
:SELinux is preventing /usr/sbin/plymouthd from 'getattr' accesses on the filesystem /var.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that plymouthd should be allowed getattr access on the var filesystem by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep plymouthd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:plymouthd_t:s0
:Target Context                system_u:object_r:fs_t:s0
:Target Objects                /var [ filesystem ]
:Source                        plymouthd
:Source Path                   /usr/sbin/plymouthd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           plymouth-0.8.7-1.fc18.x86_64
:Target RPM Packages           filesystem-3.1-2.fc18.x86_64
:Policy RPM                    selinux-policy-3.11.1-7.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.0-0.rc3.git1.1.fc18.x86_64 #1
:                              SMP Fri Aug 24 12:28:38 UTC 2012 x86_64 x86_64
:Alert Count                   49
:First Seen                    2012-08-26 18:12:27 CEST
:Last Seen                     2012-08-27 23:24:59 CEST
:Local ID                      91b9b299-15df-4c1e-bf41-7d542d610b2e
:
:Raw Audit Messages
:type=AVC msg=audit(1346102699.459:197): avc:  denied  { getattr } for  pid=1863 comm="plymouthd" name="/" dev="dm-3" ino=2 scontext=system_u:system_r:plymouthd_t:s0 tcontext=system_u:object_r:fs_t:s0 tclass=filesystem
:
:
:type=SYSCALL msg=audit(1346102699.459:197): arch=x86_64 syscall=fstatfs success=no exit=EACCES a0=b a1=7fff54bb0020 a2=2000d a3=3437336462643765 items=0 ppid=1 pid=1863 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=plymouthd exe=/usr/sbin/plymouthd subj=system_u:system_r:plymouthd_t:s0 key=(null)
:
:Hash: plymouthd,plymouthd_t,fs_t,filesystem,getattr
:
:audit2allow
:
:#============= plymouthd_t ==============
:allow plymouthd_t fs_t:filesystem getattr;
:
:audit2allow -R
:
:#============= plymouthd_t ==============
:allow plymouthd_t fs_t:filesystem getattr;
:
Comment 1 Joachim Frieben 2012-08-27 17:27:35 EDT
Created attachment 607350 [details]
File: type
Comment 2 Joachim Frieben 2012-08-27 17:27:37 EDT
Created attachment 607351 [details]
File: hashmarkername
Comment 3 Fedora Update System 2012-08-29 07:51:27 EDT
selinux-policy-3.11.1-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-14.fc18
Comment 4 Fedora Update System 2012-08-29 14:44:44 EDT
Package selinux-policy-3.11.1-14.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-14.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12934/selinux-policy-3.11.1-14.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-09-17 19:34:14 EDT
selinux-policy-3.11.1-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.